Home

# Class goog.testing.fs.FileWriter

A mock FileWriter object. This emits the same events as {@link goog.fs.FileSaver} and {@link goog.fs.FileWriter}.

extends goog.events.EventTarget

Instance Method Summary
| `abort()`
| `abort_(number total)` Abort the current action and emit appropriate events.
| `getError() ⇒ ?goog.fs.Error`
| `getLength() ⇒ number`
| `getPosition() ⇒ number`
| `getReadyState() ⇒ ?goog.fs.FileSaver.ReadyState`
| `progressEvent_(?goog.fs.FileSaver.EventType type, number loaded, number total)` Dispatch a progress event.
| `seek(number offset)`
| `truncate(number size)`
| `write(!goog.testing.fs.Blob blob)`